Inhalte

# Anweisung DefSng

Wenn kein Zeichen oder Schlüsselwort zur Typendeklaration angegeben ist, setzt die Anweisung DefSng den Standardvariablentyp entsprechend einem Buchstabenbereich.

### Syntax:

        {DefBool|DefCur|DefDate|DefDbl|DefErr|DefInt|DefLng|DefObj|DefStr|DefSng|DefVar} {char|char-char}[,...]

### Parameter:

char: Buchstabenpräfix, das den Standarddatentyp für Variablen festlegt.

char-char: Buchstabenbereichspräfixe, die den Standarddatentyp für Variablen festlegen.

### Beispiel:

        ' Präfixdefinitionen für Variablentypen:
        DefBool b
        DefCur c,l-m
        DefDate t
        DefDbl f
        DefErr e
        DefInt i-k,N
        DefLng x-z, D
        DefObj U, o-R
        DefSng w,a
        DefStr s
        DefVar V,g

      Sub ExampleDefSng
          wSng=Single ' wSng ist eine implizite einzelne Variable
          Print afloat, Typename(Word), VarType(anyNum) ' Ergebnis ist: 0 single 4
      End Sub

Bitte unterstützen Sie uns!